package cn.com.ctop.kuaishou.modules.document.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouCreative;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface AuditRejectedResubmitMapper {
    List<KuaiShouCreative> getCreativeList(@Param("status") int status, @Param("date") String date);

    List<String> getRejectThesaurusListByStatus(@Param("status") int status);

    void updateCreativeResubmit(@Param("creativeId") String creativeId, @Param("status") int status);

    void updateCreativeResubmitSize(@Param("creativeId") Long creativeId, @Param("copyWriterId") String copyWriterId);

    void saveCopyWriterCenter(@Param("copyWriterId") String copyWriterId, @Param("creativeId") String creativeId, @Param("date") Date date);
}
